%global momorel 1
Summary: generic spell checking library
Name: enchant

Version: 1.4.2
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/Text
URL: http://www.abisource.com/projects/enchant/
Source0: http://www.abisource.com/downloads/enchant/%{version}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib-devel
BuildRequires: coreutils

%description
Enchant is meant to provide a generic interface into various existing
spell checking libaries. These include, but are not limited to:
        * Aspell/Pspell
        * Ispell
        * Hspell
        * Uspell

%package devel
Summary: generic spell checking library devel
Group: Development/Libraries

%description devel
enchant-devel

%prep
%setup -q

%build
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
# for SELinux
if [ -f /usr/sin/getenforce ]; then
    result=`/usr/sbin/getenforce`
    if [ $result != "Disabled" ]; then
	chcon -t texrel_shlib_t %{_libdir}/enchant/libenchant_hspell.so
    fi
fi

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING.LIB ChangeLog HACKING NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-lsmod
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_mandir}/man?/%{name}.1*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/%{name}/*.a
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri May  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Tue Apr 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.0-1m)
- back to 1.3.0

* Mon Apr 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-4m)
- %%NoSource -> NoSource

* Mon Aug 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.0-3m)
- fix %%post script

* Mon Aug  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.0-2m)
- add %%post chcon for SELinux

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.0-1m)
- initial build